Bug 204598 - Review Request: geda-gschem - Electronics schematics editor
Review Request: geda-gschem - Electronics schematics editor
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Package Reviews List
:
: 177108 (view as bug list)
Depends On: 204168 204263 204423
Blocks: FE-ACCEPT 204601
  Show dependency treegraph
 
Reported: 2006-08-30 06:55 EDT by Chitlesh GOORAH
Modified: 2008-12-22 22:23 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-05 10:43:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑cvs+


Attachments (Terms of Use)
gdb log of gschem (6.97 KB, text/plain)
2006-09-03 04:11 EDT, Mamoru TASAKA
no flags Details

  None (edit)
Description Chitlesh GOORAH 2006-08-30 06:55:42 EDT
Spec URL: http://chitlesh.googlepages.com/geda-gschem.spec
SRPM URL: http://chitlesh.googlepages.com/geda-gschem-20060123-3.src.rpm
Description: 
Gschem is an electronics schematic editor. It is part of the gEDA project.
Comment 1 Chitlesh GOORAH 2006-08-30 06:59:33 EDT
*** Bug 177108 has been marked as a duplicate of this bug. ***
Comment 2 Chitlesh GOORAH 2006-08-30 07:08:11 EDT
Mamoru: once you've installed geda-gschem, surely you will have to install
geda-symbols first, 

gschem &
Add > component
(you will see the symbols )

Then you might want an example, open any .sch from /usr/share/gEDA/examples/
Comment 3 Mamoru TASAKA 2006-08-31 11:48:07 EDT
First review of geda-gschem :

1. From http://fedoraproject.org/wiki/Packaging/Guidelines :

   * Naming
     - Maybe http://www.geda.seul.org/tools/gschem/index.html is more
     suitable for URL .

   * Use rpmlint
     -
     E: geda-gschem devel-dependency libgeda-devel
     E: geda-gschem explicit-lib-dependency libgeda-devel
     E: geda-gschem explicit-lib-dependency libstroke-devel
     Please explain why this package (geda-gschem) should
     depend on libstroke-devel and libgeda-devel.

   * BuildRequires:
     - gtk2-devel, guile-devel, gd-devel
                            <- required by libgeda-devel
     - gettext-devel ... is this really required?
     - mesa-libGL-devel ... also, is this really required?
       .... by my mock build, gettext-devel and 
            mesa-libGL-devel seems unnecessary.

   * Encoding
     - /usr/share/doc/geda-gschem-20060123/AUTHORS is encoded in
     ISO-8859-1 and includes non-ascii character(s). Change the
     encoding to UTF-8.

   * Desktop files
     - Well, according to 
     http://fedoraproject.org/wiki/Packaging/ScriptletSnippets ,
     update-desktop-database seems to be needed when desktop
     file includes mimetype key.

   * Using %{buildroot} and %{optflags} vs 
     $RPM_BUILD_ROOT and $RPM_OPT_FLAGS
     - Mixed use is found. Please unify the usage.

   * Timestamps
     - Well, this package have many text files and xpm files
       so keeping timestamps is desirable.
       Again, try to keep timestamps (does this package accept
       'make INSTALL="install -p" install' ?)

   * File and Directory Ownership
     Umm... this is somewhat complicated..... Please recheck
     the owning issue of directories.

     - the directory %{_datadir}/gEDA/bitmap is owned by
       both geda-gsymcheck and geda-gschem.
       - geda-gsymcheck has only the directory and does not have
         any files under the directory. 
         So the entry  %dir %{_datadir}/gEDA/bitmap can be 
         removed from geda-gsymcheck.
       - Or, if the trick written above is not desirable, the
         owner of  %dir %{_datadir}/gEDA/bitma  should be
         geda-symbols as both geda-gsymcheck and geda-gschem
         requires geda-symbols.

2. From http://fedoraproject.org/wiki/Packaging/ReviewGuidelines :
   = Nothing.

3. Other things I have noticed:
   = Nothing.
Comment 5 Mamoru TASAKA 2006-09-02 08:07:08 EDT
Second review for geda-gschem.

1. From http://fedoraproject.org/wiki/Packaging/Guidelines :

   * Encoding
     - iconv -f EUCJP -t UTF8 AUTHORS.tmp > AUTHORS && \
     Well... not EUCJP but ISO-8859-1 at this case.

   * Desktop files
     - Well: fedora-gschem.desktop has the entry:

     Icon=geda

     However, no icons are included in this package. Also,
     geda.png is included in geda rpm. If you want to use this
     png file, this bug must be blocked by bug 204259 and
     Requires: geda is needed.

     Perhaps you don't want this. So
     + Copy some png (or xpm) file and include it in this package.
       ( or you can use xpm file included in this package ).
     + Install the image file into /usr/share/icons/hicolor/......
       as gschem.{png,xpm} (or use link)
     + Call gtk-update-icon-cache on %post and %postun.

   = File and Directory Ownership is now solved.

2. From http://fedoraproject.org/wiki/Packaging/ReviewGuidelines :
   = Nothing.

3. Other things I have noticed:
   = Nothing.

  
Comment 7 Mamoru TASAKA 2006-09-02 09:17:35 EDT
Well:

* As for Source2:
  Please specify the URL from which this png file can be gained, and
  if you did some action (like image type conversion) to create this
  png file, explain it briefly.

* install -m 644 examples/*.sch %{buildroot}%{_datadir}/gEDA/examples
  install -m 644 examples/README.* %{buildroot}%{_datadir}/gEDA/examples
  install -m 644 scheme/*.scm %{buildroot}%{_datadir}/gEDA/scheme

  Use "install -p"

Well, I want to recheck this once more. Please upload the new spec
and srpm and I will check them (perhaps it is a final check).

Comment 9 Mamoru TASAKA 2006-09-03 04:11:59 EDT
Created attachment 135454 [details]
gdb log of gschem

Umm...

20060123-6 seems to cause SEGV. Seems 100% reproducible
by the following steps.

1. cp /usr/share/gEDA/examples/adders_1.sch to current directory.
2. execute "gschem ./adders_1.sch"
3. Choose "File -> Quit"
- Then gschem causes SEGV.

I attach gdb log of this. Can you see the reason, or will you
contact the upstream about this?
Comment 10 Chitlesh GOORAH 2006-09-04 08:13:25 EDT
Upstream contacted!
http://sourceforge.net/tracker/index.php?func=detail&aid=1551925&group_id=161080&atid=818426

Will you approuved the package though?
or rather opt for using an equivalent to geda-gschem,  xcircuit though it hasn't
the same features.
Comment 11 Mamoru TASAKA 2006-09-04 11:20:03 EDT
Umm...???

Upstream closed this bug? Upstream says:

This is the slice memory bug when running with gtk+ 2.8 or
later.  Fixed in new release of gEDA/gaf 20060824.  Please
upgrade  -Ales

.... What is gEDA/gaf? What component (released as Fedora Extras
rpm) corresponds to gEDA/gaf? I would want to try it if it really
fixes this SEGV problem.
				
Comment 12 Chitlesh GOORAH 2006-09-04 16:41:40 EDT
Updated:
Spec URL: http://chitlesh.googlepages.com/geda-gschem.spec
SRPM URL: http://chitlesh.googlepages.com/geda-gschem-20060824-1.src.rpm

It doesn't segment on Exit

(In reply to comment #11)

> .... What is gEDA/gaf? What component (released as Fedora Extras
> rpm) corresponds to gEDA/gaf? I would want to try it if it really
> fixes this SEGV problem.

gaf stands for “gschem and friends”. It is a subset of the entire tool suite
grouped together under the gEDA name. gEDA/gaf is a collection of tools which
currently includes:

    * gschem: A schematic capture program
    * gnetlist: A netlist generation program
    * gsymcheck: A syntax checker for schematic symbols
    * gattrib: A spreadsheet programm that manipulates the properties of symbols
of a schematic
    * libgeda: Libraries for gschem gnetlist and gsymcheck
    * gsch2pcb: Forward annotation from your schematic to layout using PCB.
    * some minor utils
Comment 13 Chitlesh GOORAH 2006-09-04 16:50:13 EDT
In case, mirrors haven't yet been updated:
http://chitlesh.funpic.de/srpm
Comment 14 Mamoru TASAKA 2006-09-05 03:08:42 EDT
Okay. No SEGV.

Now this package is APPROVED by me.
Comment 15 Chitlesh GOORAH 2008-12-21 14:39:38 EST
New Package CVS Request
=======================
Package Name: geda-gschem
Short Description: Electronics schematics editor
Owners: chitlesh
Branches: EL-5
Comment 16 Kevin Fenzi 2008-12-22 22:23:06 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.